// ----------------------------------------------------------------------------------------------------------------------------
// This file contains all application-wide Sass variables. They are !default to be overwritten in the child theme if necessary
// ----------------------------------------------------------------------------------------------------------------------------

/// Default font family
/// @type List
$default-font: 'Helvetica Neue', 'Helvetica', 'Arial', sans-serif !default;
$heading-font: 'Helvetica Neue', 'Helvetica', 'Arial', sans-serif !default;
	
/// General colours
/// @type Color
$color-white: #fff !default;
$color-black: #000 !default;
$color-off-black: #414040 !default;
$color-grey: #767479 !default;
$color-dark-grey: #4d4d4d !default;
$color-light-grey: #b3b3ab !default;
$color-very-dark-grey: #1a1a1a !default;
$color-very-light-grey: #d4d7d7 !default;


/// Basic Text Colour
/// @type Color
$text-color: $color-off-black !default;
$main-link-color: red !default;
$main-link-hover: blue !default;

$background-color-selection: $color-grey !default;
$color-selection: $color-white !default;

/// Basic Font Size
/// @type Font-size
$main-font-size: 1.6rem !default;

$h1-font-size: 3rem !default;
$h2-font-size: 2.4rem !default;
$h3-font-size: 2rem !default;
$h4-font-size: 1.8rem !default;
$h5-font-size: 1.5rem !default;
$h6-font-size: 1.5rem !default;

/// Basic Line Height
/// @type Line-height		
$main-line-height: 1.2em !default;
$heading-line-height: 1.2em !default;

/// Intro Typography
/// @type Font-size & Line-height
$intro-font-size: 2rem !default;
$intro-line-height: 1.3em !default;

/// Basic Font Weights
// @type Font-weight
$normal-font-weight: 400 !default;
$bold-font-weight: 700 !default;
		
		
//Header
$header-height: 12rem !default;
$header-scrolling-height: 9rem !default;
$header-background-color: transparent !default;

	
//Navigation
$nav-font-size: 1.5rem !default;
		
$nav-menu-text-color: $color-white !default;
$nav-menu-background-color: transparent !default;
		
$nav-menu-text-color-active: $color-white !default;
$nav-menu-background-color-active: transparent !default;

$nav-menu-text-color-hover: $color-white !default;
$nav-menu-background-color-hover: transparent !default;

$nav-sub-menu-container-color: $color-white !default;

//Sub Menus
$nav-sub-menu-text-color: $color-white !default;
$nav-sub-menu-background-color: $color-off-black !default;
$nav-sub-menu-text-color-hover: $color-off-black !default;
$nav-sub-menu-background-color-hover: $color-white !default;
		
//Footer
$footer-background: #efefef !default;
$footer-padding: 3rem 0 !default;
		
$footer-text-color: $color-off-black !default;
$footer-line-height: 1.8rem !default;
		
$footer-link-color: $color-off-black !default;
$footer-hover-color: $color-grey !default;
		
$footer-span-color: #808080 !default;
		
//Slideshow
$slides-overlay-text-color: $color-white !default;
$slides-overlay-background-color: $color-off-black !default;
	
	
//Buttons
$button-transitions: all .5s !default;
		
$button-text-color: $color-off-black !default;
$button-background-color: $color-white !default;
		
$button-text-hover-color: $color-white !default;
$button-background-hover-color: $color-off-black !default;
		
$button-padding: .7rem 3rem !default;
$button-font-size: 1.5rem !default;
$button-line-height: 1.3rem !default;
		
		
/// Container's maximum width
/// @type Length
$grid-width: 128rem !default;
$grid-gap: 15px;

//Layouts
$page-margins: 3rem !default;
$page-paddings: 3rem !default;



/// Responsive Breakpoints map
/// @prop {String} keys - Keys are identifiers mapped to a given length
/// @prop {Map} values - Values are actual breakpoints expressed in em
//	1em = 16px
$breakpoints: (
	'small': 25em,					//400px
	'phone': 37.5em,				//600px
	'tablet-portrait': 56.25em,		//900px
	'tablet-landscape': 80em, 		//1280px
	'desktop': 100em,				//1600px
	'big-desktop': 112.5em, 		//1800px
	'hd':  120em,					//1920px
	'qhd': 160rem,					//2560px
	'qhd+': 180rem,					//2880px
	'msb': 202.5em,					//3240px
	'uhd': 240em,					//3840px
	'4k': 256em,					//4096px
	'5k': 320em						//5120px
) !default;






/// Relative or absolute URL where all assets are served from
/// @type String
/// @example scss - When using a CDN
///   $base-url: 'http://cdn.example.com/assets/';
$base-url: '' !default;
